# spotify-discord-rpc

## What It Does
The name is misleading, it actually just shows anything you're currently scrobbling to LastFM on your discord rich presence. I just use it for spotify which is why I named it this. To enable LastFM scrobbling in Spotify, simply go to settings and link your account.  
![Example](https://i.imgur.com/Zgrjj1l.png)

## Dependencies
The dependencies for building this project are two header only libraries:
- https://github.com/nlohmann/json
- https://github.com/yhirose/cpp-httplib


## Config
The `config.json` file is simple:
```json
{
  "lfm_api_key": "",
  "dsc_app_id": "388745305543147540",
  "lfm_user": ""
}
```
Place it in the same directory as the executable.

`lfm_api_key` is your LastFM API key, obtained [here](https://www.last.fm/api/account/create).  
`dsc_app_id` is the ID of the discord app to use. The one provided is one I created already, but use your own if you want to change the name or the image.  
`lfm_user` is your LastFM username.
